<template>
  <div class="logLog_box">
    <My-bread
      :list="[
        `${$t('userManage.userManage')}`,
        `${$t('userManage.userAuditing')}`,
      ]"
    ></My-bread>
    <el-divider />
    <div class="inquire">
      <el-form ref="ruleForm" :model="form" :inline="true">
        <el-form-item :label="$t('userManage.UA.userName')" prop="username">
          <el-input
            v-model="form.username"
            :placeholder="$t('userManage.UA.usernameInfo')"
          />
        </el-form-item>
        <el-form-item :label="$t('userManage.UA.userState')" prop="userState">
          <el-select v-model="form.userState">
            <el-option :label="$t('userManage.UA.all')" value="1" />
            <el-option :label="$t('userManage.UA.approvalPassed')" value="2" />
            <el-option :label="$t('userManage.UA.disable')" value="3" />
            <el-option :label="$t('userManage.UA.delete')" value="4" />
            <el-option :label="$t('userManage.UA.pendingReview')" value="5" />
            <el-option :label="$t('userManage.UA.auditFailed')" value="6" />
          </el-select>
        </el-form-item>

        <el-form-item :label="$t('userManage.UA.unitName')" prop="unitName">
          <el-input v-model="form.unitName" />
        </el-form-item>
        <br />
        <el-form-item>
          <el-button @click="onSubmit" type="success">{{
            $t("userManage.UA.pass")
          }}</el-button>
        </el-form-item>
        <el-form-item>
          <el-button @click="onSubmit" type="danger">
            {{ $t("userManage.UA.deny") }}</el-button
          >
        </el-form-item>
        <el-form-item>
          <el-button @click="onSubmit"
            ><i class="el-icon-search"></i> &nbsp;{{
              $t("userManage.UA.query")
            }}</el-button
          >
        </el-form-item>
        <el-form-item>
          <el-button @click="resetForm('ruleForm')"
            ><i class="el-icon-delete"></i>&nbsp;{{
              $t("userManage.UA.reset")
            }}</el-button
          >
        </el-form-item>
      </el-form>
    </div>
    <div class="table_box">
      <el-table
        :data="tableData"
        stripe
        style="width: 100%"
        height="99%"
        @selection-change="handleSelectionChange"
      >
        <el-table-column type="selection" width="55"> </el-table-column>

        <el-table-column
          align="center"
          prop="username"
          :label="$t('userManage.UA.ChineseName')"
        />
        <el-table-column
          align="center"
          prop="affiliatedUnit"
          :label="$t('userManage.UA.affiliatedUnit')"
        />
        <el-table-column
          align="center"
          prop="state"
          :label="$t('userManage.UA.state')"
        />
        <el-table-column
          align="center"
          prop="auditUser"
          :label="$t('userManage.UA.auditUser')"
        />
        <el-table-column
          align="center"
          prop="auditDate"
          :label="$t('userManage.UA.auditDate')"
        />

        <el-table-column
          fixed="right"
          :label="$t('common.operate')"
          width="300"
        >
          <template #default>
            <el-button type="warning" size="small">{{
              $t("common.update")
            }}</el-button>
            <el-button type="danger" size="small">{{
              $t("common.delete")
            }}</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="0"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>
  
  <script>
import MyBread from "../../components/MyBread.vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage: 1,
      form: {
        username: "",
        state: "",
        requestIp: "",
        userState: "",
        date: "",
      },
      multipleSelection: [],
      tableData: [],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
    resetForm(formName) {
      this.$refs[formName].resetFields();
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
  },
  created() {},
};
</script>
  <style lang="less" scoped>
//@import url(); 引入公共css类
.logLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .el-input {
    width: 300px;
  }
  .inquire {
    height: 110px;
    overflow: auto;
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
    .el-form-item {
      margin: 7px;
    }
  }
  .table_box {
    height: 65%;
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
  